Questions? Feedback? powered by Olark live chat software

DOWNLOAD 70+ FREE JOOMLA! 3.8 TEMPLATES DOWNLOAD 60+ FREE Onepage Joomla templates

Hi friends! You may have some problem when updating Joomla 3.x to Joomla 3.7, so in this article, we would like to help you to process update your Joomla! system (from Joomla! 3.5) to Joomla! 3.7 without any problems.

Before updating to Joomla! 3.7, you must to do some tasks below:

1. Backup your all website via auto backup in your hosting or any backup service.
2. If you’re using other templates (different with default Joomla! templates), please ask your template provider about compatible problem with Joomla! 3.7, if they have patch update, process update for your template.

* If you’re using Agethemes templates, then feel free to process update, because we tested with all Free Joomla! templates, and make full support for Joomla! 3.7.

3. If you’re using other extensions (except default Joomla! extensions), let’s ask your extension providers about extension support issue for Joomla! 3.7.
4. Please check your PHP version. Make sure that you’re using PHP version from 5.6.x or higher. If not, it will show alert update with PHP version as this screenshot.

joomla-php-warning-problem

If you make sure that above tasks are done, you can start to update Joomla! to 3.7 via one of two ways below:
1. Go to Admin > Component > Joomla! update or click to update alert in your Joomla! panel.
2. Go to Joomla! download area, download update package for Joomla! 3.7 and install it via Admin > Extensions > Manage > Install.
If you have alert with DB record problem, just go to Admin > Extensions > Manage > Database, click to button “Fix” to correct it. You’ve done. 😀

fix-database-joomla-after-update-to-joomla3.7

If you see warning with custom fields (new features in Joomla!) and need to active plugins as screenshot below

custom-fields-in-joomla

You just go to Plugin Manager, search for keyword ‘system – fields’ and enable it.

update-to-joomla-37-custom-fields

* Joomla! 3.7 has some changes, at least HTML for com_content, so HTML override folder in template must to update in order to use new features such as article Custom Fields. That’s why I told you about template compatible.

TROUBLESHOOTS

– If you have problem with saving articles, or fields in Joomla! system => Check all extensions in your website, special is plugins and make sure that you do not have plugins that hook to editor or Joomla! fields via back-end.
– In case your website is broken and can’t access => It’s better is you should to restore your backup, make dev environment and test your update.
– If your editor stopped, please download new version of your Editor (only in case you use other editor, not default Joomla! editor TinyMCE).
– If you have problem with template settings => ask your template provider about new version or framework.
– If you have problem with front-end display => most of problem related to template and extensions
If you have any problem during update your Joomla! system, don’t hesitate to let us know by leaving comment.

Premium Joomla membership

Leave a Reply

Your email address will not be published. Required fields are marked *

bundle sale 50% OFF

25% OFF for all templates, don't miss this deal to get PRO version! Get PRO License Now!
[Spring Sale Opened!] Get 25% Discount for Everything on Today! Limited Time => Get PRO Template Now!